﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamGridContentControl
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            ObservableCollection<Data> data = new ObservableCollection<Data>();
            data.Add(new Data() { Age = 10, Emp = new Employee("sam", "1") });
            data.Add(new Data() { Age = 20, Emp = new Employee("mark", "2")});
            data.Add(new Data() { Age = 20, Emp = new Employee("joe", "3") });
            DataContext = data;
        }
    }

    public class Data
    {
        public Employee Emp { get; set; }
        public int Age { get; set; }
    }

    public class Employee : TextBox
    {
        public Employee()
        {

        }
        public Employee(string pName, string pID): this()
        {
            this.Text = pName;
            ToolTipService.SetToolTip(this, pID);
        }
        public Employee ThisObject { get; set; }
    }
}
